Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Plant(s) Road Permit Permit# 2020-02220, UID# 2773
App. Status: Expired

Valid: 04/20/2020 - 04/23/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2487 (04/16/2020)

Charge Cost Quantity Total
Non-Taxable
added 04/16/2020 4:28 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 04/16/2020 4:28 PM

Fee for over width permit

$30.00 x 1 $30.00
added 04/16/2020 4:28 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $90.00
Payment 04/16/2020$90.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantLISA BUSCH - 04/16/2020 3:48 PM
f15a9b991e683b081f759fabd75d4a85
e43925ae7464d32c6ce5051a019ab9ca
 
#1 Permit Issuing OfficialKen Miller - 04/16/2020 4:29 PM
3ae80f61d37e346aae3afb72f4c05f7d
fe4aba26146f71c6673aa37894cd8322
 
Permit has been approved. All signatures have been obtained.